The Global ARCHICAD Community

Stay informed. Get help. Share your knowledge.

Discussions about using GRAPHISOFT's tools (API DevKit) for independent software developers

Moderators: Karl Ottenstein, LaszloNagy, ejrolon, Barry Kelly, gkmethy, MOREH Tamas, Akos Somorjai, Ed Brown, Mihály Palenik, Tibor Lorántfy, rmasaki

By n.mihaylov
#302460
Guys, can someone tell me what makes the difference between a plugin for AC22 and the same plugin for AC23, for example, what makes the plugin manager see this difference? If I have a plugin for AC22, do I have to change only the libraries in Support folder or something else (and of course align the API functions definition changes) and build the plugin in order to load it in AC23?

Edit: Sorry, it is asked in another topic with not very relevant title so I didn't read it.
User avatar
By Tibor Lorántfy
#302511
Each AddOn is compatible with only one ARCHICAD main version.
AddOns must be rebuilt for each ARCHICAD main versions. So if you have an Add-On for AC22, then it won't work for AC23.
But if you have the source of the Add-On and you download the API Development Kit 23, then you will be able to rebuild you Add-On for AC23.
n.mihaylov wrote:If I have a plugin for AC22, do I have to change only the libraries in Support folder or something else (and of course align the API functions definition changes) and build the plugin in order to load it in AC23?
Yes, it's correct. Please change not only the libraries in Support folder, I recommend you to change the whole Support folder :)
Feel free to ask help, we will help!
By n.mihaylov
#302520
Thanks, Tibor!

I swapped the whole Support folder and aligned the API functions. Now I can build the Add-On for Windows but following the same steps I can not build it for Mac. I keep on getting 16 errors like this:

Undefined symbols for architecture x86_64:
"ODB::FieldType const& ODB::GetFieldType<GS::Guid>()", referenced from:
__GLOBAL__sub_I_ACAPlib.c in libACAP_STAT.a(ACAPlib.c.o)

I had the same errors in Windows and I removed and included again in the project my lib files but here on Mac this does not help for now...
#302521
n.mihaylov wrote:I can not build it for Mac. I keep on getting 16 errors like this:

Undefined symbols for architecture x86_64:
"ODB::FieldType const& ODB::GetFieldType<GS::Guid>()", referenced from:
__GLOBAL__sub_I_ACAPlib.c in libACAP_STAT.a(ACAPlib.c.o)
Add ObjectDatabase.framework from Support/Frameworks to "External Frameworks and Libraries".